Bug 1292565 - Unable to update to python-requests-2.8.1-1
Unable to update to python-requests-2.8.1-1
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python-requests (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Arun S A G
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 14:50 EST by Mike
Modified: 2015-12-17 15:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 15:32:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike 2015-12-17 14:50:19 EST
Description of problem:
 
Unable to update python-requests

Version-Release number of selected component (if applicable):
New version of python-reqeusts:  python-requests-2.8.1-1.fc23.noarch
Existing version of python-requests: python-requests-2.7.0-7.fc23.noarch

How reproducible:
Everytime, local, and remote dnf update

Steps to Reproduce:
1. Attempt to update package python-requests
2. Update Fails


Actual results:

$ sudo dnf install ./python-requests-2.8.1-1.fc23.noarch.rpm 
Last metadata expiration check performed 0:05:10 ago on Thu Dec 17 12:40:11 2015.
Dependencies resolved.
========================================================================================================================================================================================================
 Package                                             Arch                                       Version                                          Repository                                        Size
========================================================================================================================================================================================================
Upgrading:
 python-requests                                     noarch                                     2.8.1-1.fc23                                     @commandline                                     103 k

Transaction Summary
========================================================================================================================================================================================================
Upgrade  1 Package

Total size: 103 k
Is this ok [y/N]: y
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Upgrading   : python-requests-2.8.1-1.fc23.noarch                                                                                                                                                 1/2 
Error unpacking rpm package python-requests-2.8.1-1.fc23.noarch
Error unpacking rpm package python-requests-2.8.1-1.fc23.noarch
error: unpacking of archive failed on file /usr/lib/python2.7/site-packages/requests/packages/chardet: cpio: rename
python-requests-2.8.1-1.fc23.noarch was supposed to be installed but is not!
  Verifying   : python-requests-2.8.1-1.fc23.noarch                                                                                                                                                 1/2 
python-requests-2.7.0-7.fc23.noarch was supposed to be removed but is not!
  Verifying   : python-requests-2.7.0-7.fc23.noarch                                                                                                                                                 2/2 

Failed:
  python-requests.noarch 2.8.1-1.fc23 


Expected results:

I expected python-requests to properly update


Additional info:
Comment 1 Mike 2015-12-17 14:56:46 EST
FYI, same or extremely similiar output to doing a $ dnf update ./python-requests-2.8.1-1.fc23.noarch.rpm -- doesn't install, with the same error.
Comment 2 Mike 2015-12-17 14:59:31 EST
Mis-typed: same as doing a $ sudo dnf update ./python-requests-2.8.1-1.fc23.noarch.rpm

as well as

$ sudo dnf update --refresh
Comment 3 Mike 2015-12-17 15:32:34 EST
Sorry, found 1292473 and found the answer.

Note You need to log in before you can comment on or make changes to this bug.